// creator  : weidu.exe (version 23100)
// argument : _CATTAC.DLG
// game		 : .
// source	 : ./override/_CATTAC.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~_CATTAC~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #1 /* Triggers after states #: 4 even though they appear after this state */
~True()
~ THEN BEGIN 0 // from:
  SAY #77998 /* ~Heee hee he ha!  You no fight!  You fight, you die!  Give all gold and iron or you die!  'Tis simple choices!  What I say... or die!  Die die DIE!~ */
  IF ~~ THEN REPLY #77999 /* ~We'll never surrender to you, cut rate marauders!~ */ GOTO 2
  IF ~~ THEN REPLY #78000 /* ~We'll not fight you.  In fact, we want to join your group.~ */ GOTO 1
  IF ~~ THEN REPLY #10334 /* ~We don't want any trouble.  Take what you want and leave us be.~ */ GOTO 3
  IF ~Global("X#KivanCattack","GLOBAL",0)
InParty("kivan")
InMyArea("kivan")
!StateCheck("kivan",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#KivanCattack","GLOBAL",1)~ EXTERN ~_KIVANJ~ 231
END

IF ~~ THEN BEGIN 1 // from: 0.1
  SAY #78001 /* ~You no join Chill!  Not even funny!  'Tis insult you die for!~ */
  IF ~~ THEN DO ~Shout(1)
Enemy()
~ JOURNAL #78002 /* ~I have encountered a demihuman group of bandits!  Iron and gold were what they wished.~ */ EXIT
  IF ~Global("X#SHARCattack1","GLOBAL",0)
InParty("sharteel")
InMyArea("sharteel")
!StateCheck("sharteel",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#SHARCattack1","GLOBAL",1)~ EXTERN ~_SHARTJ~ 137
END

IF ~~ THEN BEGIN 2 // from: 6.0 0.0
  SAY #78003 /* ~Your hearts are brave!  We rip them out and show you!  Chill, attack!~ */
  IF ~~ THEN DO ~Shout(1)
Enemy()
~ JOURNAL #78002 /* ~I have encountered a demihuman group of bandits!  Iron and gold were what they wished.~ */ EXIT
END

IF ~~ THEN BEGIN 3 // from: 0.2
  SAY #78004 /* ~You smart coward!  You live to run away again!  No move no follow, or Chill kill!~ */
  IF ~~ THEN DO ~TakePartyGold(2000000000)
Shout(2)
EscapeArea()
~ JOURNAL #78002 /* ~I have encountered a demihuman group of bandits!  Iron and gold were what they wished.~ */ EXIT
  IF ~Global("X#SHARCattack2","GLOBAL",0)
InParty("sharteel")
InMyArea("sharteel")
!StateCheck("sharteel",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#SHARCattack2","GLOBAL",1)~ EXTERN ~_SHARTJ~ 139
END

IF WEIGHT #0 ~StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 4 // from:
  SAY #78005 /* ~I am Cattack, member of Chill.  Chill been ordered to attack all fat humans carrying iron.  We do that, we like cause it's fun.  We come from bandit base to east.~ */
  IF ~~ THEN JOURNAL #78002 /* ~I have encountered a demihuman group of bandits!  Iron and gold were what they wished.~ */ EXIT
END

IF ~~ THEN BEGIN 5 // from:
  SAY #78006 /* ~You die for what you do!!  DIE!!~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 6 // from:
  SAY #98942 /* ~Aye, yer right, pointy-eared. I am Cattack, member of Chill. Chill been ordered to attack all fat humans, carrying iron. We do that, we like cause it's fun to KILL!~ */
  IF ~~ THEN GOTO 2
END

IF ~~ THEN BEGIN 7 // from:
  SAY #99860 /* ~You all worthless rags!~ */
  IF ~~ THEN DO ~Shout(1)
Enemy()
~ JOURNAL #78002 /* ~I have encountered a demihuman group of bandits!  Iron and gold were what they wished.~ */ EXIT
END

IF ~~ THEN BEGIN 8 // from:
  SAY #99862 /* ~Smart human! Cattack take gold and go.~ */
  IF ~~ THEN DO ~TakePartyGold(2000000000)
Shout(2)
EscapeArea()
~ JOURNAL #78002 /* ~I have encountered a demihuman group of bandits!  Iron and gold were what they wished.~ */ EXIT
END
